> ## Documentation Index
> Fetch the complete documentation index at: https://docs.20x.business/llms.txt
> Use this file to discover all available pages before exploring further.

# List LLM models

> List the language models available to power your agents

Returns the LLM models you can assign to an agent. Pass a model `id` as
`llm_model_id` when [updating](/api-reference/agents/patch-update-agent) an agent.

Providers are listed separately at `GET /llm/providers`.

<CodeGroup>
  ```bash curl theme={null}
  curl https://prod-comms-engine-api.20x.business/api/v1/llm/models \
    -H "Authorization: Bearer $AGENTIC_OS_API_KEY"
  ```

  ```python Python theme={null}
  requests.get(
      "https://prod-comms-engine-api.20x.business/api/v1/llm/models",
      headers={"Authorization": f"Bearer {API_KEY}"},
  )
  ```

  ```javascript Node theme={null}
  await fetch("https://prod-comms-engine-api.20x.business/api/v1/llm/models", {
    headers: { Authorization: `Bearer ${API_KEY}` },
  });
  ```
</CodeGroup>
